Bug 971207 - guestfish aug-init command fails: libguestfs: error: aug_init: Augeas initialization failed
guestfish aug-init command fails: libguestfs: error: aug_init: Augeas initial...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.5
Unspecified Linux
high Severity urgent
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 22:13 EDT by bfan
Modified: 2015-02-17 13:55 EST (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.20.8-3.el6
Doc Type: Bug Fix
Doc Text:
(This was a bug in Augeas, not in libguestfs)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:44:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfan 2013-06-05 22:13:22 EDT
Description of problem:
aug-init failed with "Augeas initialization failed", I saw developer said that fixed in libguestfs-1.20.1-6.el7, but still exist in rhel6 rebase


Version-Release number of selected component (if applicable):
libguestfs-1.20.8-1.el6.x86_64
augeas-1.0.0-4.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
$ guestfish -N fs  
><fs> mount /dev/sda1 /
><fs> aug-init / 1

 
Actual results:
libguestfs: error: aug_init: Augeas initialization failed


Expected results:
command execute succeffully

Additional info:
Comment 2 bfan 2013-06-05 22:31:57 EDT
test new package, augeas-1.0.0-5.el6.x86_64, also failed with same reason
Comment 3 Richard W.M. Jones 2013-06-06 03:50:24 EDT
Upstream libguestfs:

$ guestfish -N fs -m /dev/sda1 aug-init / 1
[no errors]

RHEL 6.5:

$ guestfish -N fs -m /dev/sda1 aug-init / 1
libguestfs: error: aug_init: Augeas initialization failed

Adding -v -x to get full debugging doesn't give any more
information.  It could be happening because we built libguestfs
against the previous (RHEL 6.4) version of augeas, although
that's not supposed to happen.
Comment 4 Richard W.M. Jones 2013-06-06 09:08:55 EDT
Turns out it just needs a rebuild against the newest Augeas.
Comment 6 Richard W.M. Jones 2013-06-06 17:58:34 EDT
WFM with libguestfs 1:1.20.8-3.el6
Comment 7 bfan 2013-06-06 22:31:19 EDT
Verified with libguestfs-1.20.8-3.el6.x86_64


[root@dhcp-9-42 home]# guestfish -N fs  

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> trace 1
><fs> mount /dev/sda1 /
libguestfs: trace: mount "/dev/sda1" "/"
libguestfs: trace: mount = 0
><fs> aug-init / 1
libguestfs: trace: aug_init "/" 1
libguestfs: trace: aug_init = 0
><fs> 

Change status to verified
Comment 11 errata-xmlrpc 2013-11-20 23:44:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html

Note You need to log in before you can comment on or make changes to this bug.